searchNodes=[{"ref":"Tint.html","title":"Tint","type":"module","doc":"a library to convert colors between different colorspaces."},{"ref":"Tint.html#to_hsv/1","title":"Tint.to_hsv/1","type":"function","doc":"Converts the given color to HSV colorspace."},{"ref":"Tint.html#to_rgb/1","title":"Tint.to_rgb/1","type":"function","doc":"Converts the given color to RGB colorspace."},{"ref":"Tint.html#t:color/0","title":"Tint.color/0","type":"type","doc":"A type representing a color."},{"ref":"Tint.OutOfRangeError.html","title":"Tint.OutOfRangeError","type":"exception","doc":"An exception that is returned or raised when a color is built with values that are out of the permitted range of values."},{"ref":"Tint.OutOfRangeError.html#t:t/0","title":"Tint.OutOfRangeError.t/0","type":"type","doc":""},{"ref":"Tint.HSV.html","title":"Tint.HSV","type":"module","doc":"A color in the HSV (hue, saturation, value) colorspace."},{"ref":"Tint.HSV.html#from_tuple/1","title":"Tint.HSV.from_tuple/1","type":"function","doc":"Converts a tuple containing hue, saturation and value into a Tint.HSV struct."},{"ref":"Tint.HSV.html#new/3","title":"Tint.HSV.new/3","type":"function","doc":"Builds a new HSV color from hue, saturation and value color parts."},{"ref":"Tint.HSV.html#to_tuple/1","title":"Tint.HSV.to_tuple/1","type":"function","doc":"Converts HSV color into a tuple containing the hue, saturation and value parts."},{"ref":"Tint.HSV.html#t:t/0","title":"Tint.HSV.t/0","type":"type","doc":""},{"ref":"Tint.RGB.html","title":"Tint.RGB","type":"module","doc":"A color in the RGB (red, green, blue) colorspace."},{"ref":"Tint.RGB.html#from_hex/1","title":"Tint.RGB.from_hex/1","type":"function","doc":"Builds a new RGB color from the given hex code."},{"ref":"Tint.RGB.html#from_hex!/1","title":"Tint.RGB.from_hex!/1","type":"function","doc":"Builds a new RGB color from the given hex code. Raises when the given hex code is invalid."},{"ref":"Tint.RGB.html#from_ratios/3","title":"Tint.RGB.from_ratios/3","type":"function","doc":"Builds a new RGB color from red, green and blue color ratios."},{"ref":"Tint.RGB.html#from_tuple/1","title":"Tint.RGB.from_tuple/1","type":"function","doc":"Converts a tuple containing hue, saturation and value into a Tint.RGB struct."},{"ref":"Tint.RGB.html#new/3","title":"Tint.RGB.new/3","type":"function","doc":"Builds a new RGB color from red, green and blue color values."},{"ref":"Tint.RGB.html#to_hex/1","title":"Tint.RGB.to_hex/1","type":"function","doc":"Converts a RGB color to a hex code."},{"ref":"Tint.RGB.html#to_tuple/1","title":"Tint.RGB.to_tuple/1","type":"function","doc":"Converts RGB color into a tuple containing the red, green and blue parts."},{"ref":"Tint.RGB.html#t:t/0","title":"Tint.RGB.t/0","type":"type","doc":""},{"ref":"Tint.HSV.Convertible.html","title":"Tint.HSV.Convertible","type":"protocol","doc":"A protocol that can be implemented by color structs to support HSV colorspace conversion."},{"ref":"Tint.HSV.Convertible.html#to_hsv/1","title":"Tint.HSV.Convertible.to_hsv/1","type":"function","doc":"Converts the specified color to the HSV colorspace."},{"ref":"Tint.HSV.Convertible.html#t:t/0","title":"Tint.HSV.Convertible.t/0","type":"type","doc":""},{"ref":"Tint.RGB.Convertible.html","title":"Tint.RGB.Convertible","type":"protocol","doc":"A protocol that can be implemented by color structs to support RGB colorspace conversion."},{"ref":"Tint.RGB.Convertible.html#to_rgb/1","title":"Tint.RGB.Convertible.to_rgb/1","type":"function","doc":"Converts the specified color to the RGB colorspace."},{"ref":"Tint.RGB.Convertible.html#t:t/0","title":"Tint.RGB.Convertible.t/0","type":"type","doc":""},{"ref":"readme.html","title":"Tint","type":"extras","doc":"Tint Elixir library to convert colors between different colorspaces."},{"ref":"readme.html#prerequisites","title":"Tint - Prerequisites","type":"extras","doc":"Erlang 20 or greater Elixir 1.8 or greater"},{"ref":"readme.html#installation","title":"Tint - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding tint to your list of dependencies in mix.exs: def deps do [ {:tint, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#usage","title":"Tint - Usage","type":"extras","doc":"red = Tint.RGB.new(255, 0, 0) yellow = Tint.RGB.from_hex!(&quot;#FFCC00&quot;) hsv = Tint.to_hsv(yellow) Tint.RGB.to_hex(yellow)"},{"ref":"readme.html#docs","title":"Tint - Docs","type":"extras","doc":"Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/tint."}]